Skip to content

Update a person on a loan

Request

Update the details of a person associated with a loan. Only the fields provided in the request body are changed.

Security
ApiKeyAuth
Path
loanIdstringrequired
idstringrequired
Headers
Idempotency-Keystring, <= 255 characters

Optional opaque key (e.g. a UUID) to make this write safely retryable. A replay with the same key returns the original response instead of repeating the side effect.

Bodyapplication/jsonrequired
firstNamestring, non-empty
lastNamestring, non-empty
ssnstring
emailstring, (email)^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-...
dobstring^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[...
curl -i -X PATCH \
  'https://api.pioneerft.com/api/public/v1/loans/{loanId}/people/{id}' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: string' \
  -d '{
    "firstName": "string",
    "lastName": "string",
    "ssn": "string",
    "email": "user@example.com",
    "dob": "string"
  }'

Responses

Person updated

Bodyapplication/json
dataobject(PublicPerson)
Response
{ "data": { "id": "string", "firstName": "string", "lastName": "string", "ssnLast4": "string", "role": "string", "ownershipPercent": 0 } }